/*
** Module   : InstantiatingProcedure.java
** Abstract : Defines the INSTANTIATING-PROCEDURE attribute.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -----------------------Description------------------------
** 001 CA  20131113 Created initial version.
*/

package com.goldencode.p2j.util;

/**
 * Interface marking resources which support the INSTANTIATING-PROCEDURE attribute.
 */
public interface InstantiatingProcedure
{
   /**
    * Getter for the INSTANTIATING-PROCEDURE attribute.
    * <p>
    * The returned handle will refer a valid external procedure (persistent or not) or will be
    * unknown, in case its instantiating procedure was persistent and has been deleted.
    * 
    * @return   See above.
    */
   @LegacyAttribute(name = "INSTANTIATING-PROCEDURE")
   public handle instantiatingProcedure();
}
